pieform minvalue/maxvalue rule error

Bug #1394732 reported by Robert Lyon on 2014-11-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Unassigned
1.8
High
Unassigned
1.9
High
Unassigned

Bug Description

Currently it does a check $value != ''

It needs to check the type as '' will be the same as 0 in this case - which is not correct because 0 will not be seen as less than 1

so it needs to be $value !== ''

I'll mark this as high as the rule is a fundamental part of the pieforms system

Robert Lyon (robertl-9) on 2014-11-20
Changed in mahara:
milestone: none → 15.04.0
summary: - pieform minvalue rule error
+ pieform minvalue/maxvalue rule error

Reviewed: https://reviews.mahara.org/4009
Committed: http://gitorious.org/mahara/mahara/commit/c906c1e7adceae55f8d6639c7adc6f2e41ba11eb
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c906c1e7adceae55f8d6639c7adc6f2e41ba11eb
Author: Robert Lyon <email address hidden>
Date: Fri Nov 21 09:13:47 2014 +1300

Fixing type checking on min/max values (Bug #1394732)

Change-Id: I042c1127f7601483e8723b2e31bf07683accf2c0
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/4024

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4025

Reviewed: https://reviews.mahara.org/4023
Committed: http://gitorious.org/mahara/mahara/commit/a24941780c195f65ac4b2359ef06adc842734149
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit a24941780c195f65ac4b2359ef06adc842734149
Author: Robert Lyon <email address hidden>
Date: Fri Nov 21 09:13:47 2014 +1300

Fixing type checking on min/max values (Bug #1394732)

Change-Id: I042c1127f7601483e8723b2e31bf07683accf2c0
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4024
Committed: http://gitorious.org/mahara/mahara/commit/dc706458568ec0afe32ec9498f34f6ec47831889
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit dc706458568ec0afe32ec9498f34f6ec47831889
Author: Robert Lyon <email address hidden>
Date: Fri Nov 21 09:13:47 2014 +1300

Fixing type checking on min/max values (Bug #1394732)

Change-Id: I042c1127f7601483e8723b2e31bf07683accf2c0
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4025
Committed: http://gitorious.org/mahara/mahara/commit/d524a12ad28309007e8704c52418ae7b18def987
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit d524a12ad28309007e8704c52418ae7b18def987
Author: Robert Lyon <email address hidden>
Date: Fri Nov 21 09:13:47 2014 +1300

Fixing type checking on min/max values (Bug #1394732)

Change-Id: I042c1127f7601483e8723b2e31bf07683accf2c0
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-11-24
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers